<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/academia_security.php");

if (!isset($_REQUEST['grupo']) || trim($_REQUEST['grupo'])=='0x'){
	$responce->page = 0;
	$responce->total = 0;
	$responce->records = 0;
	echo json_encode($response);
	exit;
}
require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$configuracion=$sesion->get('configuracion');
$nombre_grupo=$configuracion['nombres_grupos'];

$examp = $_REQUEST["q"]; //query number

$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction


$grupo=(isset($_REQUEST['grupo']) && trim($_REQUEST['grupo'])!='') ? $_REQUEST['grupo'] : '';


if(!$sidx) $sidx =1;

$totalrows = isset($_REQUEST['totalrows']) ? $_REQUEST['totalrows']: false;
if($totalrows) {$limit = $totalrows;}

$wh = "";
$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$searchstr = Strip($_REQUEST['filters']);
	//$wh= constructWhere($searchstr);
	$jsona = json_decode($searchstr,true);
	$wh =  " AND ".getStringForGroup($jsona);
	
	
	
	//var_dump($wh);
	//echo $ss;
}

	$wh2='';
		if($grupo!='' ){
			$wh2.=" AND aca_grupos.cod_grupo ='$grupo'";
		}

//echo $fld." : ".$wh;
// connect to the database
$tbl="aca_asignaturasxgrupos 
    INNER JOIN aca_grupos 
        ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
    INNER JOIN pro_profesores 
        ON (aca_asignaturasxgrupos.cod_profesor = pro_profesores.cod_profesor)
    INNER JOIN aux_tipos_evaluaciones as a			
        ON (aca_asignaturasxgrupos.cod_tipo_evaluacion= a.cod_tipo_evaluacion)
    INNER JOIN aca_asignaturas 
        ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
    INNER JOIN aux_nombres_grupos 
        ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)
    INNER JOIN aux_grados 
        ON (aca_grupos.cod_grado = aux_grados.cod_grado)
	INNER JOIN aca_escalas 
        ON (aca_asignaturasxgrupos.id_escala = aca_escalas.id_escala)";


		$cons="SELECT COUNT(*) FROM " . $tbl . " WHERE 1=1 $wh2 ".$wh;
		
		$academia->instruccion($cons);
		$row = $academia->extraer_registro();
		$count = $row['count'];
		$academia->liberar();
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
        if ($page > $total_pages) $page=$total_pages;
		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
        if ($start<0) $start = 0;
		
        $SQL = "SELECT aca_asignaturasxgrupos.cod_asigxgrupo
    , aca_asignaturas.cod_asi
    , aca_asignaturas.nom_asi
    , aca_grupos.cod_grupo
    , aux_grados.nom_grado
    , aux_nombres_grupos.$nombre_grupo as nom_nom_grupo
    , pro_profesores.cod_profesor
    , LOWER(pro_profesores.ap1_pro) as ap1_pro
    , LOWER(pro_profesores.ap2_pro) as ap2_pro
    , LOWER(pro_profesores.no1_pro) as no1_pro
    , LOWER(pro_profesores.no2_pro) as no2_pro
    , aca_asignaturasxgrupos.ihs
    , aca_asignaturasxgrupos.num_evaluaciones
    , aca_asignaturasxgrupos.fecha_inicio
    , aca_asignaturasxgrupos.fecha_fin
    , IF(aca_asignaturasxgrupos.rep_fuera_fecha=0,'No','Sí') AS reportar
    , a.cod_tipo_evaluacion
    , LOWER(a.nom_tipo_evaluacion) as nom_tipo_evaluacion
	, aca_asignaturasxgrupos.id_escala	
    , aca_escalas.nombre_escala FROM " . $tbl . " WHERE 1=1 $wh2 ".$wh." ORDER BY ".$sidx." ".$sord. " LIMIT ".$start." , ".$limit;

		$academia->instruccion($SQL);
		
		$responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
        $i=0;
		
		
		while($row = $academia->extraer_registro()) {
            $docente=$row[ap1_pro] . " " . $row[ap2_pro] . " " . $row[no1_pro]. " " . $row[no2_pro];
			
			$responce->rows[$i]['id']=$row[cod_asigxgrupo];
			$responce->rows[$i]['cell']=array(
				$row[cod_asi],
				$row[nom_asi],
				$row[cod_grupo],
				$row[nom_grado],
				$row[nom_nom_grupo],
				$row[cod_profesor],
				ucwords(trim($docente)), 
				ucwords($row[ap1_pro]),
				ucwords($row[ap2_pro]),
				ucwords($row[no1_pro]),
				ucwords($row[no2_pro]),
				$row[ihs], 
				$row[num_evaluaciones],
				$row[fecha_inicio],
				$row[fecha_fin],
				$row[reportar],
				$row[cod_tipo_evaluacion],
				ucwords($row[nom_tipo_evaluacion]),
				ucwords($row[nombre_escala]),
				$row[id_escala],
			);
	        $i++;
		} 

        echo json_encode($responce);         

$academia->cerrar();
?>
